<?php
namespace Teknisa\SUP\Modules\Fornecimento\Modules\EmissaoAF\Controllers;

use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO;

class Sup00800AfsInconsistenteForaLimiteController extends \Zeedhi\Framework\Controller\Report
{
    protected $qr2Strategy;
    protected $stNomeRel;
    protected $stExtensao;
    
    public  function __construct($reportService,$qr2Strategy)
    {
        parent::__construct($reportService);
        $this->qr2Strategy   =   $qr2Strategy;
    }
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response)
    {
        $row = $request->getRow();
        $this->qr2Strategy->setQr2Type($row['QR2TYPE']);
        $this->stNomeRel = $this->getReportName($row);
        $this->reportMapping[$this->stNomeRel] =
            array (
                'strategy' => $row['STRATEGY'],
                'parameterMapping' =>
                    array (
                        "P_DATAINI1"       =>    "P_DTINI_INCOPRINCI1",
                        "P_DATAFIN1"       =>    "P_DTFIN_INCOPRINCI1",
                        "P_DATAINI2"       =>    "P_DTINI_INCOPRINCI2",
                        "P_DATAFIN2"       =>    "P_DTFIN_INCOPRINCI2",
                        "P_NRAUTOFORN1"    =>    "P_NRAUTOFORN_INCOPRINCI1",
                        "P_NRAUTOFORN2"    =>    "P_NRAUTOFORN_INCOPRINCI2",
                        "P_CDOPERADOR"     =>    "P_CDOPERADOR_INCOPRINCI",
                        "L_CDREGIAO1"      =>    "L_CDREGIAO_INCOPRINCI1",
                        "L_CDREGIAO2"      =>    "L_CDREGIAO_INCOPRINCI2",
                        "L_CDOPERADOR1"    =>    "L_CDOPERADOR_INCOPRINCI1",
                        "L_CDOPERADOR2"    =>    "L_CDOPERADOR_INCOPRINCI2",
                        "L_CDFILDEST1"     =>    "L_CDFILDEST_INCOPRINCI1",
                        "L_CDFILDEST2"     =>    "L_CDFILDEST_INCOPRINCI2",
                        "L_CDFILDEST3"     =>    "L_CDFILDEST_INCOPRINCI3",
                        "L_CDFILDEST4"     =>    "L_CDFILDEST_INCOPRINCI4",
                        "P_CDGRUPFILI1"    =>    "P_CDGRUPFILI_INCOPRINCI1",
                        "P_CDGRUPFILI2"    =>    "P_CDGRUPFILI_INCOPRINCI2",
                        "P_NRORG"          =>    "P_NRORG"
                    ),
            );
    }
}
