<?php
namespace Teknisa\SUP\Modules\Relatorio\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Report\ReportService;

class Sup00700EmissaoDeSolicitacaoCotacaoAfController extends \Zeedhi\Framework\Controller\Report
{
    protected $qr2Strategy;
    protected $stNomeRel;

    public function __construct(ReportService $reportService, $qr2Strategy)
    {
        parent::__construct($reportService);
        $this->qr2Strategy = $qr2Strategy;
    }
 
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response)
    {
        $row = $request->getRow();
        $this->qr2Strategy->setQr2Type($row['QR2TYPE']);
        $this->stNomeRel = $this->getReportName($row);
        $this->reportMapping[$this->stNomeRel] =
         array (
            'strategy' => $row['STRATEGY'],
            'parameterMapping' =>
            array (
              "CDPRODINI"   => "P_CDPRODINI_DIG",
              "CDPRODFIN"   => "P_CDPRODFIN_DIG",
              "NMPRODINI"   => "P_NMPRODINI",
              "NMPRODFIN"   => "P_NMPRODFIN",
              "DTINICIAL"   => "P_INICIAL",
              "DTFINAL"     => "P_FINAL",
              "CDFILIAL"    => "L_CDFILIAL",
              "CDPRODINI"   => "P_CDPRODINI",
              "CDPRODFINAL" => "P_CDPRODFIN",
              "DTINICIAL"   => "P_DATAINI",
              "DTFINAL"     => "P_DATAFIN",
              "NRSOLICMP"   => "P_NRSOLICMP",
              "CDFILIAL1"    => "L_CDFILIAL1"
            ),
        );
    }
}
